> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morphel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Avatar

> Get a specific avatar by ID



## OpenAPI

````yaml GET /v1/avatars/{avatar_id}
openapi: 3.1.0
info:
  title: Morphel API
  description: API for Morphel's video generation service
  version: 0.1.1
servers:
  - url: https://api.morphel.com
security: []
paths:
  /v1/avatars/{avatar_id}:
    get:
      tags:
        - avatars-v1
      summary: Get Avatar By Id
      description: Get a specific avatar by ID
      operationId: get_avatar_by_id_v1_avatars__avatar_id__get
      parameters:
        - name: avatar_id
          in: path
          required: true
          schema:
            type: string
            title: Avatar Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvatarResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AvatarResponse:
      properties:
        avatar_id:
          type: string
          title: Avatar Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        status:
          type: string
          title: Status
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
      type: object
      required:
        - avatar_id
        - status
      title: AvatarResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````